Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227103 - Review Request: plexus-interactivity-1.0-0.a5.2jpp - Plexus Interactivity Handler Component
Summary: Review Request: plexus-interactivity-1.0-0.a5.2jpp - Plexus Interactivity Han...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:52 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
2 users (show)

Fixed In Version: 1.0-0.1.a5.2jpp.2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-22 14:08:20 UTC
nsantos: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:52:52 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-interactivity-1.0-0.a5.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-interactivity-1.0-0.a5.2jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-interactivity.

Comment 1 Andrew Overholt 2007-02-16 22:16:25 UTC
Updated spec and SRPM:

http://overholt.ca/fedora/plexus-interactivity.spec
http://overholt.ca/fedora/plexus-interactivity-1.0-0.1.a5.2jpp.1.src.rpm

I can't build this yet due to jline not being finished.

Comment 2 Nuno Santos 2007-02-16 23:07:12 UTC
Link to updated SRPM above is broken...

Here's a partial review based on the specfile:

plexus-interactivity-1.0-0.1.a5.2jpp.1.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK - use acronyms for licences where common
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
NA * license text included in package and marked with %doc
OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
OK * rpmlint on <this package>.srpm gives no output
OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
?? * package successfully compiles and builds on at least x86
?? * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
OK * make sure lines are <= 80 characters
OK * specfile written in American English
OK * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
OK * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
NA * package should include license text in the package and mark it with %doc
?? * package should build on i386
?? * package should build in mock


Comment 4 Nuno Santos 2007-03-13 19:35:26 UTC
I'm getting the following rpmlint warning, other than that everything is fine:

$rpmlint plexus-interactivity-1.0-0.1.a5.2jpp.1.src.rpm
W: plexus-interactivity mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 167)

I'll mark "approved" as soon as that's fixed.


Comment 6 Nuno Santos 2007-03-13 21:08:19 UTC
APPROVED

Assigning to owner.


Comment 7 Matt Wringe 2007-03-13 21:20:14 UTC
New Package CVS Request
=======================
Package Name: plexus-interactivity
Short Description: Plexus Interactivity Handler Component
Owners: mwringe@redhat.com
Branches: devel



Comment 8 Matt Wringe 2007-06-22 14:08:20 UTC
Forgot to close this bug from a while ago. This package is already in Fedora 7


Note You need to log in before you can comment on or make changes to this bug.